import { axios } from '@/utils/request'

export const listLookUp = params => {
  let url = `/lookup/queryLike`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}

export const saveLookUp = params => {
  return axios({
    url: '/lookup/save',
    data: params,
    method: 'post'
  })
}

export const delLookUp = params => {
  return axios({
    url: `/lookup/delete/${params.id}`,
    method: 'get'
  })
}

export const getLookUpItem = (params) => {
  let url = `/lookupItem/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}


export const delLookUpItem = params => {
  return axios({
    url: `/lookupItem/delete/${params.id}`,
    method: 'get'
  })
}
export const saveLookUpItem = params => {
  return axios({
    url: '/lookupItem/save',
    data: params,
    method: 'post'
  })
}
